Bug 1262272 - [RFE] Shorten long names of tasks in Monitor->Tasks
[RFE] Shorten long names of tasks in Monitor->Tasks
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin (Show other bugs)
6.1.1
x86_64 Linux
medium Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
: FutureFeature, Improvement, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 06:19 EDT by Pavel Moravec
Modified: 2017-09-19 04:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-19 04:20:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 9727 None None None 2017-09-19 04:20 EDT

  None (edit)
Description Pavel Moravec 2015-09-11 06:19:07 EDT
Description of problem:
When listing all foreman tasks where some task has very long name, the table is very wide and one has to "scroll right" to see status of a task. That is really impractical and almost prevents to understand status of a task (as an user sees either (short) task name XOR its status but not both).

Please shorten names of tasks displayed in https://${FWDN}/foreman_tasks/tasks to some reasonable length.


Version-Release number of selected component (if applicable):
Sat 6.1.1 / foreman-1.7.2.34-1.el7sat.noarch

How reproducible:
100%


Steps to Reproduce:
(many ways, providing just one as example)
1. Have a content host with installed e.g. RHEL7.0, subscribed to 7Server channel
2. Apply all available errata (several tens) concurrently - one task for this will exist
3. Open Monitor->Tasks


Actual results:
The table there would have 1st column too wide due to task name like "Install erratum RHSA-2015:1483, RHSA-2015:1123, RHSA-2015:1115, .."


Expected results:
The table has some maximal width and too long names of tasks are shortened (while clicking on the task detail shows the full name)

Additional info:
Comment 2 Bryan Kearney 2016-07-08 16:47:57 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 5 Adam Ruzicka 2017-09-19 04:20:16 EDT
Closing this BZ because the issue is not present anymore in current release (tested on satellite-6.2.12-2.0.el7sat.noarch). Attached upstream issue which fixed this BZ, just in case someone needs it.

Note You need to log in before you can comment on or make changes to this bug.